call clean.bat
javac -g:none -Xlint:-serial JTP\Main.java
javac -g:none -Xlint:-serial JTP\MainApplet.java
jar -cv0fm TilePile.jar jar_manifest.txt JTP\*.class JTP\fnt JTP\img JTP\snd JTP\levelsets com LICENSE.txt

rem === Optimise, then improve JAR compression ===
mkdir jarTMP
java -jar utils\proguard\proguard.jar @class_optimisation.pro
del /f /q TilePile.jar
cd jarTMP
..\utils\7z x TilePile.jar
del /f /q TilePile.jar
..\utils\7z a -tzip -mx9 TilePile.jar *
move TilePile.jar ..
cd ..
rd /s /q jarTMP

call signJar.bat